VPFLayerDCWWarehouse (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class VPFLayerDCWWarehouse

    java.lang.Object
      com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
          com.bbn.openmap.layer.vpf.VPFLayerDCWWarehouse

All Implemented Interfaces:
  VPFGraphicWarehouse, VPFWarehouse

    public class VPFLayerDCWWarehouse

extends LayerGraphicWarehouseSupport

Implement a graphic factory that builds OMGraphics. This one handles DCW databases. It has some properties that can be added to the VPFLayer property list that further control which types of features will not be displayed for a coverage type.

If you use the com.bbn.openmap.layer.vpf.Server class, and run it on a (coverage type)/int.vdt file:

       java com.bbn.openmap.layer.vpf.Server /dcw/noamer/po/int.vdt

You can use the values in column 3 to add to a list to have that attribute type *NOT* show up.

       vpflayer.areaTypeExclude=
       vpflayer.lineTypeExclude=9 (for po coverages, gets rid of tile boundaries)
       vpflayer.textTypeExclude=

These are space-separated lists.

See Also:
  `OMGraphic`

Field Summary
`static java.lang.String` | `AreaTypeExcludeProperty`
`protected int[]` | `areaTypeExcludes`
`protected boolean` | `DEBUG`
`static java.lang.String` | `LineTypeExcludeProperty`
`protected int[]` | `lineTypeExcludes`
`static java.lang.String` | `TextTypeExcludeProperty`
`protected int[]` | `textTypeExcludes`

Fields inherited from class com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
`antarcticaThreshold, areaSubList, drawingAttributes, edgeSubList, graphics, logger, pointSubList, textSubList`

Constructor Summary
`VPFLayerDCWWarehouse()`

Method Summary
`void` | `createArea(CoverageTable covtable, AreaTable areatable, java.util.List<java.lang.Object> facevec, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon)` Method called by the VPF reader code to construct an area feature.
`void` | `createEdge(CoverageTable covtable, EdgeTable edgetable, java.util.List<java.lang.Object> edgevec, LatLonPoint ll1, LatLonPoint ll2, double dpplat, double dpplon, CoordFloatString coords)` Method called by the VPF reader code to construct an edge feature.
`void` | `createNode(CoverageTable c, NodeTable t, java.util.List<java.lang.Object> nodeprim, double latitude, double longitude, boolean isEntityNode)` Method called by the VPF reader code to construct a node feature.
`void` | `createText(CoverageTable covtable, TextTable texttable, java.util.List<java.lang.Object> textvec, double latitude, double longitude, java.lang.String text)` Method called by the VPF reader code to construct a text feature.
`protected java.lang.String` | `getDebugNumbers(int[] arr)`
`java.util.List<java.lang.String>` | `getFeatures()` Returns the list of features to draw - DCW doesn't have features, so returns an empty List
`protected int[]` | `getNumbersFromPropertyList(java.lang.String list)` From a string of space separated numbers, creates an int[].
`protected boolean` | `onList(int[] list, int num)` returns true if the num is a number somewhere on the list.
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` set drawing attribute properties

Methods inherited from class com.bbn.openmap.layer.vpf.LayerGraphicWarehouseSupport
`addArea, addEdge, addPoint, addText, checkLibraryForUsage, clear, createAreaOMPoly, createEdgeOMPoly, createOMPoint, createOMText, doThinning, drawAreaFeatures, drawCPointFeatures, drawEdgeFeatures, drawEPointFeatures, drawTextFeatures, getDrawingAttributes, getFanEpsilon, getFeatureString, getGraphics, getGraphics, getGUI, getProperties, getUseLibraries, initDrawingAttributes, isDoThinning, resetForCAT, setAreaFeatures, setCPointFeatures, setDoThinning, setDrawingAttributes, setEdgeFeatures, setEPointFeatures, setFanEpsilon, setFeatures, setTextFeatures, setUseLibraries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AreaTypeExcludeProperty

    public static final java.lang.String AreaTypeExcludeProperty

See Also:
  Constant Field Values

### LineTypeExcludeProperty

    public static final java.lang.String LineTypeExcludeProperty

See Also:
  Constant Field Values

### TextTypeExcludeProperty

    public static final java.lang.String TextTypeExcludeProperty

See Also:
  Constant Field Values

### areaTypeExcludes

    protected int[] areaTypeExcludes

### lineTypeExcludes

    protected int[] lineTypeExcludes

### textTypeExcludes

    protected int[] textTypeExcludes

### DEBUG

    protected boolean DEBUG

Constructor Detail

### VPFLayerDCWWarehouse

    public VPFLayerDCWWarehouse()

Method Detail

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `LayerGraphicWarehouseSupport`
  set drawing attribute properties

  Overrides:
    `setProperties` in class `LayerGraphicWarehouseSupport`
  Parameters:
    `prefix` - the prefix for our properties
    `props` - the Properties object we use to look up values

### getDebugNumbers

    protected java.lang.String getDebugNumbers(int[] arr)

### getNumbersFromPropertyList

    protected int[] getNumbersFromPropertyList(java.lang.String list)

  From a string of space separated numbers, creates an int[].

### onList

    protected boolean onList(int[] list,
                             int num)

  returns true if the num is a number somewhere on the list.

### getFeatures

    public java.util.List<java.lang.String> getFeatures()

  Returns the list of features to draw - DCW doesn't have features, so returns an empty List

### createArea

    public void createArea(CoverageTable covtable,
                           AreaTable areatable,
                           java.util.List<java.lang.Object> facevec,
                           LatLonPoint ll1,
                           LatLonPoint ll2,
                           double dpplat,
                           double dpplon)

  Description copied from interface: `VPFGraphicWarehouse`
  Method called by the VPF reader code to construct an area feature.

  Parameters:
    `covtable` - the coverage table for this area
    `areatable` - the areatable being parsed
    `facevec` - the record read from the area table
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)

### createEdge

    public void createEdge(CoverageTable covtable,
                           EdgeTable edgetable,
                           java.util.List<java.lang.Object> edgevec,
                           LatLonPoint ll1,
                           LatLonPoint ll2,
                           double dpplat,
                           double dpplon,
                           CoordFloatString coords)

  Description copied from interface: `VPFGraphicWarehouse`
  Method called by the VPF reader code to construct an edge feature.

  Parameters:
    `covtable` - the coverage table for this edge
    `edgetable` - the edgetable being parsed
    `edgevec` - the record read from the edge table
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)

### createText

    public void createText(CoverageTable covtable,
                           TextTable texttable,
                           java.util.List<java.lang.Object> textvec,
                           double latitude,
                           double longitude,
                           java.lang.String text)

  Description copied from interface: `VPFGraphicWarehouse`
  Method called by the VPF reader code to construct a text feature.

  Parameters:
    `covtable` - the coverage table for this text
    `texttable` - the texttable being parsed
    `textvec` - the record read from the text table
    `latitude` - the latitude of the text
    `longitude` - the longitude of the text
    `text` - the text string

### createNode

    public void createNode(CoverageTable c,
                           NodeTable t,
                           java.util.List<java.lang.Object> nodeprim,
                           double latitude,
                           double longitude,
                           boolean isEntityNode)

  Method called by the VPF reader code to construct a node feature.

  Parameters:
    `c` - the coverage table for this node
    `t` - the nodetable being parsed
    `nodeprim` - the record read from the node table
    `latitude` - the latitude of the node
    `longitude` - the longitude of the node
    `isEntityNode` - true if we are reading entity notes, false if we are reading connected nodes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details